# Generated by Django 4.2.3 on 2023-07-04 03:35

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Commodity',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32)),
                ('price', models.IntegerField()),
            ],
            options={
                'db_table': 'store_commodity',
            },
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('order_id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('is_paid', models.BooleanField(default=False)),
            ],
            options={
                'db_table': 'store_order',
            },
        ),
        migrations.CreateModel(
            name='OrderCommodityMapping',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('commodity_number', models.IntegerField()),
                ('commodity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='store.commodity')),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='store.order')),
            ],
            options={
                'db_table': 'store_order_commodity_mapping',
            },
        ),
        migrations.AddConstraint(
            model_name='commodity',
            constraint=models.UniqueConstraint(fields=('name', 'price'), name='name_price_unique'),
        ),
        migrations.AddConstraint(
            model_name='ordercommoditymapping',
            constraint=models.UniqueConstraint(fields=('order', 'commodity'), name='order_commodity_unique'),
        ),
    ]
